Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.extent
Interface BoundingPolygon

All Superinterfaces:
  GeographicExtent

    @UML(identifier="EX_BoundingPolygon",
         specification=ISO_19115)
    public interface BoundingPolygon

extends GeographicExtent

Boundary enclosing the dataset, expressed as the closed set of (x,y) coordinates of the polygon. The last point replicates first point.

Since:
  GeoAPI 1.0

Method Summary
`Collection<? extends Geometry>` | `getPolygons()` Returns the sets of points defining the bounding polygon.

Methods inherited from interface GeographicExtent
`getInclusion`

Method Detail

### getPolygons

    @UML(identifier="polygon",
         obligation=MANDATORY,
         specification=ISO_19115)
    Collection<? extends Geometry> getPolygons()

  Returns the sets of points defining the bounding polygon.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.